Package org.eclipse.draw2d.text

# Interface BidiProvider

All Known Implementing Classes:
  `BidiProvider.DefaultBidiProvider`

public interface BidiProvider

An abstract class for service providers that provide concrete implementations of the `Bidi` class.

Example:

     import com.ibm.icu.text.Bidi;

     public class CustomBidiProvider implements BidiProvider {
            @Override
            public boolean requiresBidi(char[] text, int start, int limit) {
                    return Bidi.requiresBidi(text, start, limit);
            }
     }

Since:
  3.15

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`BidiProvider.DefaultBidiProvider`
Default implementation of `BidiProvider`, backed by `Bidi`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`requiresBidi(char[] text, int start, int limit)`
Return `true` if the specified text requires bidi analysis.

## Method Details

### requiresBidi

boolean requiresBidi(char[] text, int start, int limit)
Return `true` if the specified text requires bidi analysis. If this returns `false`, the text will display left-to-right. Clients can then avoid constructing a Bidi object. Text in the Arabic Presentation Forms area of Unicode is presumed to already be shaped and ordered for display, and so will not cause this function to return `true`.

Parameters:
  `text` - the text containing the characters to test
  `start` - the start of the range of characters to test
  `limit` - the limit of the range of characters to test
Returns:
  true if the range of characters requires bidi analysis
See Also:
  - `Bidi.requiresBidi(char[], int, int)`